Package ch.qos.logback.core.util

# Class StringCollectionUtil

java.lang.Object
ch.qos.logback.core.util.StringCollectionUtil

public class StringCollectionUtil extends Object
Static utility methods for working with collections of strings.

Author:
  Carl Harris

## Constructor Summary

Constructors
Constructor
Description
`StringCollectionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`removeMatching(Collection<String> values, String... patterns)`
Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void`
`removeMatching(Collection<String> values, Collection<String> patterns)`
Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void`
`retainMatching(Collection<String> values, String... patterns)`
Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.
`static void`
`retainMatching(Collection<String> values, Collection<String> patterns)`
Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringCollectionUtil

public StringCollectionUtil()

## Method Details

### retainMatching

public static void retainMatching(Collection<String> values, String... patterns)
Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

This method is a convenience overload for `retainMatching(Collection, Collection)`.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

### retainMatching

public static void retainMatching(Collection<String> values, Collection<String> patterns)
Retains all values in the subject collection that are matched by at least one of a collection of regular expressions.

The semantics of this method are conceptually similar to `Collection.retainAll(Collection)`, but uses pattern matching instead of exact matching.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

### removeMatching

public static void removeMatching(Collection<String> values, String... patterns)
Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.

This method is a convenience overload for `removeMatching(Collection, Collection)`.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match

### removeMatching

public static void removeMatching(Collection<String> values, Collection<String> patterns)
Removes all values in the subject collection that are matched by at least one of a collection of regular expressions.

The semantics of this method are conceptually similar to `Collection.removeAll(Collection)`, but uses pattern matching instead of exact matching.

Parameters:
  `values` - subject value collection
  `patterns` - patterns to match